XMOTO(6)

NAME
XMOTO - 2D motocross platform game

SYNOPSIS
xmoto [options]

DESCRIPTION
xmoto is a challenging 2D motocross platform game, where physics play an all important role in the gameplay. You need to control your bike to its limit, if you want to have a chance finishing the more difficult of the challenges.

GAMEPLAY
A number of strawberries are typically spread around each level, which generally consists of a complicated landscape seen from the side - i.e. much like islands in the sky. You need to collect all these berries to complete the level - when you've got the last one, you should find the sunflower which will complete the level when you touch it. Variations to this basic gameplay may be found around some of the levels. Your motocross bike is likewise seen from the side, and you control its throttle, braking, and simple changes to the attitude by jerking the bike back and forth. Additionally you can change the direction of your driving, by rotating on the spot. You control your bike using the keyboard. The following keys are the default values, but may be changed from inside the game :

Up arrow
    Accelerates

Down arrow
    Brakes

Left arrow
    Rotates it counter-clockwise

Right arrow
    Rotates it clockwise

Space
    Turns around and drives in the other direction

Additionally, some other keys can be pressed while playing:

Escape
    Pauses the game, and opens the in-game menu

F12 Takes a screenshot and places it in the game directory

OPTIONS

-h  Show summary of options.

-res widthxheigt
    Forces a specific display resolution.

-bpp bits
    Forces a specific number of bits per pixel.

-fs Forces the game to run in fullscreen mode.

-win
    Forces the game to run in windowed mode.

-nogfx
    Starts the game without graphics. Only meaningful when combined with the

-replay
    argument, in which case it will play the replay in the background and only print out the player's name and finish time.

-v  Be verbose and output debug messages on the standard output.

-level id
    Start playing the specified level right away. If id is a number the corresponding built-in level is selected, otherwise it should be the identifier of an external level (not the file name).

-debug
    Enables debug mode.

-profile name
    Use the player profile specified by name.

-listlevels
    Outputs a list of available levels and then quits.

-fps
    Enables framerate display.

-nowww
    Don't allow xmoto to connect on the web even if the option is set on.

-testTheme
    Enables testThemeMode. This will display the collision forms over the sprites of the theme to check if the theme is nicely designed.

-ugly
    Enables "ugly" mode. This will increase the game's framerate significantly, but it will also make the graphics look very ugly - most things inside the game will be drawn with lines, the rider for instance being a simple stick figure. This option is very useful if your system doesn't have a proper OpenGL-capable video card (like for instance if you have a laptop with on-board video card). If you have the right amount of CPU power, it should even be possible to run X-Moto in OpenGL software emulation mode (MesaGL on linux, Windows' OpenGL fallback driver, etc).

CONFIGURATION
The important configuration options can be modified from inside the game by pressing the Options button in the main menu. Most of it should be pretty self explanatory, so I won't drag you through it here. Options are saved in a file called config.dat. On Windows the file is saved in the game directory, while on Linux it is saved in ~/.xmoto. It is a plain XML text file, so it should be straight-forward to modify in any text editor. In addition to the options accessible from inside the game, there's a couple more, which is not interesting enough to get included in the menus:

DefaultProfile
    Specifies which player profile should be active when the game starts.

ScreenshotFormat
    The format in which screenshots should be saved in. Can be either jpg or png.

NotifyAtInit
    If true, a message about the game release is shown at startup. Automatically set to false afterwards.

SEE ALSO
xmoto-edit(6).

AUTHOR
xmoto was written by Rasmus Neckelmann <neckelmann@gmail.com>.

This manual page was written by Samuel Mimram <smimram@debian.org>, for the Debian project (but may be used by others). Updated by Amand Tihon <amand.tihon@alrj.org>